package fxTavaranPaikka;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author lpjsilve
 * @version 19.1.2024
 *
 */
public class TavaranPaikkaMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("TavaranPaikkaGUIView.fxml"));
            final Pane root = ldr.load();
            //final TavaranPaikkaGUIController tavaranpaikkaCtrl = (TavaranPaikkaGUIController) ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("tavaranpaikka.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("TavaranPaikka");
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei kaytossa
     */
    public static void main(String[] args) {
        launch(args);
    }
}